<?php
require "config.php";

// Maak object
$smarty = new Smarty;

$sql = "SELECT * FROM Categorie, Categorie_per_Artikel, Artikel WHERE Artikel.ARTIKEL_ID=Categorie_per_Artikel.ARTIKEL_ID AND Categorie.CATEGORIE_ID=Categorie_per_Artikel.CATEGORIE_ID AND Categorie_per_Artikel.CATEGORIE_ID=".$_GET["catid"];

$zoek = $_POST["zoek"];

if ($zoek && $_POST["knop"] == "zoek!") {

	// eenvoudig zoeken
	$sql = "SELECT * FROM Artikel WHERE Naam LIKE '%$zoek%'";

} elseif ($zoek && $_POST["knop"] == "zoek geavanceerd!") {

	// geavanceerd zoeken
	$sql = "SELECT * 
			FROM Artikel
			WHERE MATCH (
			Naam, Omschrijving
			)
			AGAINST (
			'$zoek'
			IN BOOLEAN
			MODE 
			)";

}

$resultaat  = mysql_query($sql); // voer SQL code uit
if (mysql_num_rows($resultaat) > 0) {
	$artikelen = array();
	$images = array();
	if ($zoek) {
		$smarty->assign('gezocht', "Gezocht op <b>$zoek</b><br><p>");
	} else {
		$smarty->assign('gezocht', "Categorie: ".$_GET["catnaam"]."<br><p>");
	}

	while ($rij = mysql_fetch_array($resultaat)) {

		$artikel = array();
		$images = array();
		$artikel["artikelid"]	= $rij["ARTIKEL_ID"];
		$artikel["naam"]		= $rij["Naam"];
		$artikel["omschrijving"]= $rij["Omschrijving"];
		$artikel["prijs"]		= number_format($rij["Prijs"], 2, ',', ' ');

		$sql = "SELECT * FROM Afbeelding WHERE ARTIKEL_ID=".$rij["ARTIKEL_ID"];
			$afbeeldingen = mysql_query($sql);
			if (mysql_num_rows($afbeeldingen) > 0) {
				while ($afb_rij = mysql_fetch_array($afbeeldingen)) {
						$bestandsnaam = $sitepad.$afb_rij["AFBEELDING_ID"].$afb_rij["Bestandstype"];
						$images[] = $bestandsnaam;
				}
			$artikel["images"] = $images;
			}
		$artikelen[] = $artikel;

	}
} else {

	$smarty->assign('gezocht', "Er zijn geen artikelen die aan deze criteria voldoen");

}

// Voeg de verschillende artikelen toe
$smarty->assign('artikel', $artikelen);

// display it
$smarty->display('show.tpl');

?>